﻿using Entities.SQLudeoDB;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Model.Business
{
    public class Success
    {
        public int UserId { get; set; }
        public UserEntity User { get; set; }
        public int InquiryId { get; set; }
        public InquiryEntity Inquiry { get; set; }
        public bool IsFinished { get; set; }

        public Success() { }

        public Success(int userId, int inquiryId, bool isFinished)
        {
            UserId = userId;
            InquiryId = inquiryId;
            IsFinished = isFinished;
        }

        public Success(UserEntity user, InquiryEntity inquiry, bool isFinished)
        {
            User = user;
            Inquiry = inquiry;
            IsFinished = isFinished;
        }
    }
}
